
function start(width, x, y, iter) {
	var height = Math.sqrt(3) / 2 * width;
	
	var xA = x;
	var yA = y;
	var xB = x + width;
	var yB = y;
	var xC = x + width*0.5;
	var yC = y + height;
	
	if(iter<0) return;
	if(iter>9) iter = 9;
	
	sierpinski(xA, yA , xB, yB, xC, yC, iter);
}


function sierpinski(xA, yA , xB, yB, xC, yC, iter) {
	if(iter > 0) {
		iter--;
		
		// Mittelpunkte der Seiten
		var xMa = (xB + xC)/2;
		var yMa = (yB + yC)/2;
		var xMb = (xA + xC)/2;
		var yMb = (yA + yC)/2;
		var xMc = (xA + xB)/2;
		var yMc = (yA + yB)/2;
		
		sierpinski(xA, yA, xMb, yMb, xMc, yMc, iter);
		sierpinski(xMc, yMc, xMa, yMa, xB, yB, iter);
		sierpinski(xMb, yMb, xMa, yMa, xC, yC, iter);
	}
	else {
		outlet(0, "paintpoly", xA, 600-yA, xB, 600-yB, xC, 600-yC, xA, 600-yA);
	}
}